Information Exposure

Affecting swift package, versions [,2.15.2)

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

swift is an OpenStack Object Storage

Affected versions of this package are vulnerable to Information Exposure. The proxy-server logs full tempurl paths, potentially leaking reusable tempurl signatures to anyone with read access to these logs. All Swift deployments using the tempurl middleware are affected.

Remediation

Upgrade swift to version 2.15.2 or higher.

References

CVSS Score

4.3
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    Low
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    None
  • Availability
    None
CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N
Credit
Christian Schwede
CVE
CVE-2017-8761
CWE
CWE-200
Snyk ID
SNYK-PYTHON-SWIFT-1299111
Disclosed
03 Jun, 2021
Published
03 Jun, 2021